/*
	AudioObjects - AudioUnitObject.h
	(c) 2002-2003 edot studios
	all rights reserved
	
	Author(s):
	
		Lieven Dekeyser <lieven@edot-studios.com>
	
	Version History:
	
		2003-06-01 : made compatible with v2 AudioUnits
		2002-01-18 : first version
*/

#import <AudioObjects/AudioObject.h>

@interface AudioUnitObject : AudioObject {
    AudioUnit				unit;
	UInt32					numParams;
    AudioUnitParameterID	*params;
}

- (id)initWithType:(OSType)type subType:(OSType)subType andManufacturer:(OSType)manufacturer;

- (AudioUnit)inputUnit;
- (AudioUnit)outputUnit;

- (UInt32)numParams;
- (AudioUnitParameterID*)params;

- (AudioUnitParameterID)parameterWithName:(const char *)paramName;
- (AudioUnitParameterInfo)parameterInfo:(AudioUnitParameterID)parameter;

- (Float32)getParameter:(AudioUnitParameterID)parameter :(UInt32)scope :(UInt32)element;
- (void)setParameter:(AudioUnitParameterID)parameter :(UInt32)scope :(UInt32)element to:(Float32)value;

- (void)reset:(UInt32)scope :(UInt32)element;

@end